#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    //setFixedSize(200, 120);

    QPushButton *quit = new QPushButton(tr("Quit"), this);
    //quit->setGeometry(62, 40, 75, 30);
    quit->setFont(QFont("Times", 18, QFont::Bold));

    lcd = new QLCDNumber(2);
    lcd->setSegmentStyle(QLCDNumber::Filled);

    QSlider *slider = new QSlider(Qt::Horizontal);
    slider->setRange(0, 99);
    slider->setValue(0);

    connect(quit, SIGNAL(clicked()), qApp, SLOT(quit()));
    connect(slider, SIGNAL(valueChanged(int)),
            lcd, SLOT(display(int)));

    QVBoxLayout *layout = new QVBoxLayout;
    layout->addWidget(quit);
    layout->addWidget(lcd);
    layout->addWidget(slider);

    for (int i = 0 ; i < NUMBUTTONS ; ++i)
    {
        QString num;
        num.setNum (i);
        buttons[i] = new QPushButton (num, this);
        layout->addWidget(buttons[i]);
        connect (buttons[i], SIGNAL(clicked()), this, SLOT(buttonPressed()));
    }

    // add the layout to the MainWindow
    QWidget *cw = new QWidget;
    cw->setLayout(layout);
    setCentralWidget(cw);
}

MainWindow::~MainWindow()
{

}

void MainWindow::buttonPressed()
{
    int i, pos;

    QPushButton *pb = qobject_cast <QPushButton *> (sender());

    pos = -1;
    for (i = 0; i < 8; i++)
    {
        if (buttons[i] == pb)
            pos = i;
    }
    QString num;
    num.setNum (pos);
    lcd->display(pos);
}
